import { LinearScaleModel } from './LinearScaleModel';
export declare class DateScaleModel extends LinearScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        min: any;
        max: any;
        min_range: number;
        mid_range: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
        _view_count: number;
    };
    set_init_state(): void;
    min_max_changed(): void;
}
